Bug 97257 - Wrong error message when not in wheel group
Summary: Wrong error message when not in wheel group
Status: RESOLVED FIXED
Alias: None
Product: kdesu
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdesu bugs tracker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-17 17:52 UTC by Gilles Schintgen
Modified: 2010-11-06 15:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Schintgen 2005-01-17 17:52:12 UTC
Version:            (using KDE KDE 3.3.2)
Installed from:    Gentoo Packages
OS:                Linux

When the user running kdesu has insufficient privileges to run su (e.g. not in wheel group) kdesu fails with the incorrect error message "Incorrect password; please try again." Note that, su gives an imprecise but correct error: "Permission denied."
IMO it would be better to change the error message to something like this:
"Permission denied. Maybe the password was wrong."
Comment 1 Dik Takken 2005-06-04 20:52:28 UTC
I ran into the same incorrect message. If kdesu can see the difference between an incorrect password and lack of user privileges, a message like:

"You do not have rights to run applications as another user. Please contact your system administrator"

would be very nice.
Comment 2 Oswald Buddenhagen 2010-11-06 15:40:51 UTC
SVN commit 1193616 by ossi:

fix another potentially misleading error message

BUG: 97257


 M  +6 -4      sudlg.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1193616